Bug 794931

Summary: kernel update writes grub.conf unbootable
Product: [Fedora] Fedora Reporter: Sean A. Fulop <sfulop>
Component: grubbyAssignee: Peter Jones <pjones>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 16CC: bcl, gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, pjones
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 16:15:58 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Latest kernel update grub.conf none

Description Sean A. Fulop 2012-02-17 18:12:45 EST
Description of problem: Latest F16 kernel upgrade, on a system running Grub legacy, automatically wrote new grub.conf lines for new kernel with 'boot' command incorrectly preceding 'initrd' command.


Version-Release number of selected component (if applicable): Latest kernel release


How reproducible: Update kernel on a system using Grub legacy

Steps to Reproduce:
1.
2.
3.
  
Actual results: Grub does not boot system because commands in wrong order


Expected results: Grub should boot system


Additional info:
Comment 1 Josh Boyer 2012-02-18 13:13:07 EST
grubby updates grub.conf/grub.cfg
Comment 2 Brian Lane 2012-02-20 11:28:27 EST
Please attach your grub.conf
Comment 3 Sean A. Fulop 2012-02-20 15:04:54 EST
Created attachment 564516 [details]
Latest kernel update grub.conf

This is the most recent update; grub.conf is incorrect as with the previous update.
Comment 4 Brian Lane 2012-02-20 16:28:04 EST
That is very odd. boot doesn't belong there at all. It should look something like this:

title Fedora (2.6.42.3-2.fc15.i686.PAE)
        root (hd0,1)
        kernel /vmlinuz-2.6.42.3-2.fc15.i686.PAE ro root=UUID=39e8b140-7e98-4854-a487-b14cdec0096e rd_MD_UUID=d2837937:546d2c82:0bacdb1d:b22012e4 rd_NO_LUKS rd_NO_LVM rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us
        initrd /initramfs-2.6.42.3-2.fc15.i686.PAE.img

boot is usually in the comment section, not an active command. Did you edit this yourself? I would guess that a previous boot entry got scrambled and grubby is just copying it when it tries to update (it uses the previous entry as a template for creating a new one).
Comment 5 Sean A. Fulop 2012-02-21 01:28:38 EST
Yes I had to create this myself after doing preupgrade from Fedora 14, because my old grub.conf was wrecked by the preupgrade and not updated to a bootable system--possibly a result of a failed update to grub2.  I just used the manual grub commands and put them into the menu.lst to be able to boot my new kernel, providing the entry for what you now see as title "Fedora 16".  I have had two kernel updates since then, and both times the boot command is written in the wrong order in grub.conf.  I guess I cannot rely on grubby for automatic update when I had to begin with a manually edited grub.conf.
Comment 6 Fedora End Of Life 2013-01-16 11:59:32 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 16:16:03 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.